kompendium
2.0.2
2.0.3 2.0.2 2.0.1

# notarizedDelete

inline fun < TParam : Any , TResp : Any > Route. notarizedDelete (info: DeleteInfo < TParam , TResp >, postProcess: ( PathOperation ) -> PathOperation = { p -> p }, noinline body: PipelineInterceptor< Unit , ApplicationCall>): Route
Content copied to clipboard

Notarization for an HTTP DELETE request

## Parameters

TParam

The class containing all parameter fields. Each field must be annotated with @Param

TResp

Class detailing the expected API response

info

Route metadata

postProcess

Adds an optional callback hook to perform manual overrides on the generated PathOperation